Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.quartz
Class ReportJobsQuartzScheduler.ReportSchedulerTriggerListener

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.scheduling.quartz.ReportJobsQuartzScheduler.ReportSchedulerTriggerListener

All Implemented Interfaces:
  org.quartz.TriggerListener

Enclosing class:
  ReportJobsQuartzScheduler

    protected class ReportJobsQuartzScheduler.ReportSchedulerTriggerListener

extends java.lang.Object
implements org.quartz.TriggerListener

Constructor Summary
`ReportJobsQuartzScheduler.ReportSchedulerTriggerListener(java.lang.String name)`

Method Summary
`java.lang.String` | `getName()`
`void` | `triggerComplete(org.quartz.Trigger trigger, org.quartz.JobExecutionContext context, int triggerInstructionCode)`
`void` | `triggerFired(org.quartz.Trigger trigger, org.quartz.JobExecutionContext context)`
`void` | `triggerMisfired(org.quartz.Trigger trigger)`
`boolean` | `vetoJobExecution(org.quartz.Trigger trigger, org.quartz.JobExecutionContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportJobsQuartzScheduler.ReportSchedulerTriggerListener

    public ReportJobsQuartzScheduler.ReportSchedulerTriggerListener(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.quartz.TriggerListener`

### triggerFired

    public void triggerFired(org.quartz.Trigger trigger,
                             org.quartz.JobExecutionContext context)

  Specified by:
    `triggerFired` in interface `org.quartz.TriggerListener`

### vetoJobExecution

    public boolean vetoJobExecution(org.quartz.Trigger trigger,
                                    org.quartz.JobExecutionContext context)

  Specified by:
    `vetoJobExecution` in interface `org.quartz.TriggerListener`

### triggerMisfired

    public void triggerMisfired(org.quartz.Trigger trigger)

  Specified by:
    `triggerMisfired` in interface `org.quartz.TriggerListener`

### triggerComplete

    public void triggerComplete(org.quartz.Trigger trigger,
                                org.quartz.JobExecutionContext context,
                                int triggerInstructionCode)

  Specified by:
    `triggerComplete` in interface `org.quartz.TriggerListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.